<?php

/* login.php: Login page, pretty basic 
*
    Copyright (C) 2002  Hastymail Development group

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; Version 2
    See the COPYING file for complete information.

* $Id: login.php,v 1.28 2003/11/25 18:49:59 sailfrog Exp $
*/

require_once('../lib/constant.php');

$page_start = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Hastymail login</title>
  <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=ISO-8859-1">
  <link rel="stylesheet" type="text/css" href="../themes/default.css">
  <link rel="SHORTCUT ICON" href="../images/hastymail.ico">
</head>
<body>'."\n";

if (!is_readable($config_file)) {
    echo $page_start, '<br><br><center>
<h3>Configuration Read Error</h3>
<br>
Configuration file not found or unreadable.
<br>Please contact your system administrator to investigate the issue.',"\n";
}
else {
    require_once('../lib/session.php');
    $config = hm_get_config($config_file);
    if (isset($config['page_title'])) {
        $page_start = str_replace('<title>Hastymail login</title>',
                                   '<title>'.$config['page_title'].' login</title>', 
                                   $page_start);
        $title = $config['page_title'];
    }
    else {
        $title = 'Hastymail ';
    }
    if (isset($config['default_lang'])) {
        $str = hm_translate($config['default_lang']);
    }
    else {
        $str = hm_translate('en_US');
    }
    if (isset($config['force_ssl']) && $config['force_ssl'] == 'true') {
        if ($_SERVER['SERVER_PORT'] != '443') {
            header("Location:https://".$_SERVER['SERVER_NAME'].
                    $_SERVER['PHP_SELF']);
        }
    }
    $page_start = str_replace('ISO-8859-1', $str['charset'], $page_start);
    $servers = array();
    foreach($config as $name => $value) {
        if (substr($name, 0, 3) == 'alt') {
            $alt = substr($name, 4, 1);
            if (!isset($servers[$alt])) {
                $servers[$alt] = array();
            }
            $servers[$alt][substr($name, 6)] = $value;
        }
    }
    echo $page_start,'<form method="post" action="mailbox.php">
<br><br><br><br>
<table border="0" align="center" cellpadding="6" cellspacing="0" class="tables2\">
   <tr class="tables1">
      <td  colspan="2" align="center">
      <h3><font>',$title,' ',$str[92],'</font></h3>
      </td>
   </tr>
   <tr class="tables2">
      <td  colspan="2" align="center">
      &nbsp;
      </td>
   </tr>
   <tr class="tables2">
      <td align="right">
      <small><b>',$str[93],':</b></small>&nbsp;
      </td>
      <td align="center">
      <input type="text" class="text2" name="user">
      </td>
   </tr>
   <tr class="tables2">
      <td align="right">
      <small><b>',$str[94],':</b></small>&nbsp;
      </td>
      <td align="center">
      <input type="password" class="text2" name="pass">
      </td>
   </tr>',"\n";
if (!empty($servers)) {
    echo '   <tr class="tables2">
      <td align="right">
      <small><b>&nbsp;IMAP server:</b></small>&nbsp;
      </td>
      <td align="center">
      <select name="alt_server" class="select3">
         <option value="0">',$config['imap_server'],"</option>\n";
    foreach ($servers as $index => $array) {
        echo '         <option value="',$index,'">',$array['imap_server'],
             "</option>\n";
    }
    echo '      </select>         
      </td>
   </tr>',"\n";
}
echo '   <tr class="tables2">
      <td colspan="2" align="center">
      <input type="submit" name="login" class="button1" value="',$str[92],'">
      </td>
   </tr>
</table>
</form>',"\n";
}
echo '</body>
</html>',"\n";

?>
